package me.mrletsplay.nojs._test;

import java.util.Date;

import me.mrletsplay.nojs.action.Action;
import me.mrletsplay.nojs.component.Component;
import me.mrletsplay.nojs.component.impl.Button;
import me.mrletsplay.nojs.component.impl.Form;
import me.mrletsplay.nojs.component.impl.Group;
import me.mrletsplay.nojs.component.impl.Text;
import me.mrletsplay.nojs.page.Page;
import me.mrletsplay.nojs.page.layout.GridLayout;
import me.mrletsplay.nojs.page.layout.InsetLayout;

public class DynPage implements Page {

	@Override
	public Component getContent() {
		return new Group().add(
			new Text().text(new Date().toString()),
			new Form()
				.action(Action.empty())
				.layout(new InsetLayout(GridLayout.ofColumns(1), "10px"))
				.add(new Button().text("Refresh"))
		).layout(new GridLayout()
			.columns("max-content", "max-content")
			.vAlignment(GridLayout.VAlignment.CENTER));
	}

}
